var submitCount = new Array();
function submitOnceByFormName(name) {
    try {
	if (submitCount[name]) {
		return false;
	} else {
		submitCount[name] = 1;
	}
    } catch(e) {}
    return true;
}

function submit_once(theform){
	for (i=0;i<theform.length;i++){
		var tempobj=theform.elements[i]
		if(tempobj.type.toLowerCase()=="submit"||tempobj.type.toLowerCase()=="reset") {tempobj.disabled=true}
	}
}

function ShowDiv(id) {
	ShowHideDiv(id, 1);
}

function HideDiv(id) {
	ShowHideDiv(id);
}

function ShowHideDiv (id, show) {
	var item = GetElementById(id);
	if (item && item.style)  item.style.display = show ? 'block' : 'none';
}

function GetElementById(id) {
	return document.all ? document.all[id] : document.getElementById(id);
}

function OffsetLeft(el) {
        var ol = el.offsetLeft;
        var op = el.offsetParent;
        while (op) {
                ol += op.offsetLeft;
                op = op.offsetParent;
        }
        return ol;
}
function OffsetTop(el) {
        var ot = el.offsetTop;
        var op = el.offsetParent;
        while (op) {
                ot += op.offsetTop;
                op = op.offsetParent;
        }
        return ot;
}
function moveTo(el, left, top) {
        if (!el) return false;
        el.style.left = left + "px";
        el.style.top = top + "px";
}

function ViewOtherLoginForm(movable) {
        HideDiv("logged_as_is"+movable);
        ShowDiv("logged_as_other"+movable);

        try {
                for (var i=0; i < document._f.logged_as.length; i++) {
                        if (document._f.logged_as[i].value==3) {
                                document._f.logged_as[i].checked = true;
                        }
                }
        } catch (e) {}

        return false;
}


function viewAccessHidden(access_view) {
        for (var i=0; i<=3; i++) {
                HideDiv('access_view_'+i);
        }
        ShowDiv('access_view_'+access_view);
}


function checkCommentBox(commentID, checked) {
	if (!commentID) return false; 

	// form object
	var editComments = GetElementById('editComments');
	if (!editComments) return false;

	// existing hidden element
	var hiddenComment = GetElementById('hiddenComment'+commentID);

	if (checked==true && hiddenComment) {
		return false;
	} else if (checked==true && !hiddenComment) {
		// new hidden comment
		var newHiddenComment = document.createElement('input');
		newHiddenComment.setAttribute('type', 'hidden');
		newHiddenComment.setAttribute('name', 'comment_id');
		newHiddenComment.setAttribute('value', commentID);
		newHiddenComment.setAttribute('id', 'hiddenComment'+commentID);
		editComments.appendChild(newHiddenComment);
	} else if (checked==false && !hiddenComment) {
		return false;
	} else if (checked==false && hiddenComment) {
		hiddenComment.parentNode.removeChild(hiddenComment);
	}
}

//       
function checkCommentBoxBeforeSend() {
	// form object
	var editComments = GetElementById('editComments');
	if (!editComments) return false;
	var is_checked = false;
	for (var i=0; i < editComments.length; i++) {
		var editCommentsElement = editComments.elements[i];
		if (editCommentsElement.name=='comment_id') {
			is_checked = true;
		}
	}
	if (is_checked==true) {
		return confirm('     ?');
	} else {
		alert('     .');
	}
	return false;
}


//        
var commentActionForm = new Array();

//  ,     
var hiddenAction = new Array();
hiddenAction['reply'] = 1;

//  ,     
var positionAction = new Array();
positionAction['delete'] = 1;
positionAction['freeze'] = 1;
positionAction['screen'] = 1;

//          -
var lastActionElement = new Array();


function makeActionForm(commentID, action, element, dX, dY) {
	//    -
	closeAllActionForm();

	if (typeof(element) == 'string') {
		element = GetElementById(element);
	}

	if (!element) return true;

	if (hiddenAction[action]) {
		return makeHiddenForm(commentID, action, element);
	} else if (positionAction[action]) {
		return changePositionForm(commentID, action, element, dX, dY);
	}

	return true;
}

function closeAllActionForm() {
	for (var action in lastActionElement) {
		var el = lastActionElement[action];
		if (typeof(el) != 'object') continue;

		if (hiddenAction[action]) {
			el.parentNode.removeChild(el);
		} else if (positionAction[action]) {
			el.style.display = 'none';
		}
		lastActionElement[action] = '';
	}
}

//  ,     -
function makeHiddenForm(commentID, action, element) {
	// get comment form to variable
	if (!commentActionForm[action]) {
		var commentActionFormElement = GetElementById('comment_'+action);
		if (!commentActionFormElement) return true;
		commentActionForm[action] = commentActionFormElement.innerHTML;
		commentActionFormElement.parentNode.removeChild(commentActionFormElement);
	}

	// src 
	var newElement = document.createElement('div');
	newElement.innerHTML = commentActionForm[action];

	element.appendChild(newElement);

	lastActionElement[action] = newElement;

	if (action=='reply') {
		// set parent_id
	        var pidElement = GetElementById('parent_id');
	        if (pidElement) pidElement.value = commentID;
	}
	return false;
}

//  ,     
//    -
function changePositionForm(commentID, action, element, dX, dY) {
	var actionElement = GetElementById('comment_'+action+'_div');
	if (!actionElement) return true;

	actionElement.style.display = 'block';

	var X = OffsetLeft(element);
	var Y  = OffsetTop(element);

	X += isNaN( parseInt(dX) ) ? 0 : parseInt(dX);
	Y += isNaN( parseInt(dY) ) ? 0 : parseInt(dY);

	moveTo(actionElement, X, Y);

	lastActionElement[action] = actionElement;

	var hElement;
	if (action=='delete') {
		hElement = GetElementById('delete_id');
	} else if (action=='freeze') {
		hElement = GetElementById('freeze_id');
	} else if (action=='screen') {
		hElement = GetElementById('screen_id');
	}
        if (hElement) hElement.value = commentID;
	return false;
}
